# $Revision: 1.12 $, $Date: 2004/05/07 01:09:26 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	WWW
%define	pnam	webchat
Summary:	WWW::Chat Perl modules - processing web chat scripts
Summary(pl):	Moduy Perla WWW::Chat - przetwarzanie skryptw chata
Name:		perl-WWW-Chat
Version:	0.64
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pnam}-%{version}.tar.gz
# Source0-md5:	1b8ebf6aa942dfd1c79ce6dff7bae134
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-Data-Dump >= 0.01
BuildRequires:	perl-HTML-Parser >= 2.21
BuildRequires:	perl-URI >= 1.00
BuildRequires:	perl-libwww >= 5.47
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains the 'webchatpp' program, with its support
modules WWW::Chat and WWW::Chat::Processor.

The 'webchatpp' program is a preprocessor that turns chat scripts into
plain perl scripts using libwww-perl. When the script created by
webchatpp is feed to perl it will perform the chatting. Chat scripts
are useful for setting up test suites for web applications or just to
automate dialogues with web applications.

%description -l pl
Ten pakiet zawiera program webchatpp wraz z moduami pomocniczymi
WWW::Chat i WWW::Chat::Processor.

webchatpp jest preprocesorem tumaczcym skrypty chata na zwyke
skrypty perla uywajce moduw libwww. Utworzony skrypt jest
przekazywany do perla, ktry przeprowadza dialog. Skrypty chata
s przydatne do tworzenia testw aplikacji WWW lub automatyzacji
dialogw z aplikacjami WWW.

%prep
%setup -q -n %{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README manual_test.pl
%attr(755,root,root) %{_bindir}/*
%{perl_vendorlib}/WWW/Chat.pm
%{perl_vendorlib}/WWW/Chat
%{_mandir}/man[13]/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-WWW-Chat.spec,v $
Revision 1.12  2004/05/07 01:09:26  ankry
- rel. 3

Revision 1.11  2004/05/06 18:21:27  ankry
- fixed perl-devel BR

Revision 1.10  2004/05/04 13:31:26  ankry
- tests added, license fix, cosmetics

Revision 1.9  2004/04/15 09:35:57  ankry
- cosmetics

Revision 1.8  2003/08/18 08:09:27  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.7  2003/05/28 13:01:13  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 06:25:09  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/04/11 18:59:41  radek
- BR: perl-devel; do not BR: perl

Revision 1.4  2003/03/01 22:09:56  radek
- should be ready for perl-5.8.0; release++

Revision 1.3  2003/02/25 00:42:36  radek
- use the __perl macro

Revision 1.2  2003/02/18 15:39:10  ankry
- massive attack: change CPAN URLs

Revision 1.1  2002/07/13 18:39:04  qboosh
- new

